using NativeChart = Com.Syncfusion.Charts.SfChart;
using NativeSeries = Com.Syncfusion.Charts.ChartSeries;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.Droid;

[assembly: Xamarin.Forms.Dependency(typeof(ChartGettingStarted.Droid.IChartDepedencyExt))]

namespace ChartGettingStarted.Droid
{
    public class IChartDepedencyExt : IChartDependencyService
    {
        public bool isVisible(SfChart chart)
        {
            NativeChart nativeChart = SfChartRenderer.GetNativeObject(typeof(SfChart), chart) as NativeChart;

            for (int i = 0; i < nativeChart.Series.Size(); i++)
            {
                NativeSeries nativeSeries = (nativeChart.Series.Get(i) as Com.Syncfusion.Charts.ChartSeries);

                if (nativeSeries.Visibility == Com.Syncfusion.Charts.Enums.Visibility.Visible)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            return true;
        }
    }
}